import Vue from 'vue'
import App from './App.vue'
import store from './store'
import router from './router/index'
import './common/vueFilters'
import 'babel-polyfill'
import { Button, Icon, Tag, Swipe, SwipeItem, Popup, Picker, 
    DropdownMenu, DropdownItem, Search, PullRefresh, Toast, List,
    Collapse, CollapseItem, Tab, Tabs, Row, Col, Cell, CellGroup,
    Circle, Field, DatetimePicker, Image, Loading,
    ActionSheet, RadioGroup, Radio, Checkbox, CheckboxGroup,
    CountDown, Panel, Dialog, Sticky, Rate, Switch, ImagePreview, NavBar} from 'vant'
Vue.use(Button).use(Icon).use(Tag).use(Swipe).use(SwipeItem)
   .use(Popup).use(Picker).use(DropdownMenu).use(DropdownItem).use(Search)
   .use(PullRefresh).use(Toast).use(List).use(Collapse).use(CollapseItem)
   .use(Tab).use(Tabs).use(Row).use(Col).use(Cell).use(CellGroup)
   .use(Circle).use(Field).use(DatetimePicker).use(Image).use(Loading)
   .use(ActionSheet).use(RadioGroup).use(Radio).use(Checkbox).use(CheckboxGroup)
   .use(CountDown).use(Panel).use(Dialog).use(Sticky).use(Rate).use(Switch).use(ImagePreview)
   .use(NavBar)
Vue.config.productionTip = false

// import Vconsole from 'vconsole'
// const vconsole = new Vconsole()

import VueAMap from 'vue-amap'
Vue.use(VueAMap)
VueAMap.initAMapApiLoader({
    key: 'c7856e7c812d299cff150e74d60ea608',
    plugin: ['Geolocation', 'PlaceSearch', 'Geocoder', 'ToolBar'],
    v: '1.4.4'
})

new Vue({
    store,
    router,
    render: h => h(App)
}).$mount('#app')
